diff --git a/tests/unit/utils/test_data.py b/tests/unit/utils/test_data.py
index 8fa352321c..8a6956d442 100644
--- a/tests/unit/utils/test_data.py
+++ b/tests/unit/utils/test_data.py
@@ -895,392 +1019,455 @@ class FilterRecursiveDiff(TestCase):
         self.assertEqual({}, salt.utils.data.recursive_diff(test_list, test_list))
 
     def test_dict_equality(self):
-        '''
+        """
         Test cases where equal dicts are compared.
-        '''
-        test_dict = {'foo': 'bar', 'bar': {'baz': {'qux': 'quux'}}, 'frop': 0}
+        """
+        test_dict = {"foo": "bar", "bar": {"baz": {"qux": "quux"}}, "frop": 0}
         self.assertEqual({}, salt.utils.data.recursive_diff(test_dict, test_dict))
 
     def test_ordereddict_equality(self):
-        '''
+        """
         Test cases where equal OrderedDicts are compared.
-        '''
-        test_dict = OrderedDict([
-            ('foo', 'bar'),
-            ('bar', OrderedDict([('baz', OrderedDict([('qux', 'quux')]))])),
-            ('frop', 0)])
+        """
+        test_dict = OrderedDict(
+            [
+                ("foo", "bar"),
+                ("bar", OrderedDict([("baz", OrderedDict([("qux", "quux")]))])),
+                ("frop", 0),
+            ]
+        )
         self.assertEqual({}, salt.utils.data.recursive_diff(test_dict, test_dict))
 
     def test_mixed_equality(self):
-        '''
+        """
         Test cases where mixed nested lists and dicts are compared.
-        '''
+        """
         test_data = {
-            'foo': 'bar',
-            'baz': [0, 1, 2],
-            'bar': {'baz': [{'qux': 'quux'}, {'froop', 0}]}
+            "foo": "bar",
+            "baz": [0, 1, 2],
+            "bar": {"baz": [{"qux": "quux"}, {"froop", 0}]},
         }
         self.assertEqual({}, salt.utils.data.recursive_diff(test_data, test_data))
 
     def test_set_equality(self):
-        '''
+        """
         Test cases where equal sets are compared.
-        '''
-        test_set = set([0, 1, 2, 3, 'foo'])
+        """
+        test_set = {0, 1, 2, 3, "foo"}
         self.assertEqual({}, salt.utils.data.recursive_diff(test_set, test_set))
 
         # This is a bit of an oddity, as python seems to sort the sets in memory
         # so both sets end up with the same ordering (0..3).
-        set_one = set([0, 1, 2, 3])
-        set_two = set([3, 2, 1, 0])
+        set_one = {0, 1, 2, 3}
+        set_two = {3, 2, 1, 0}
         self.assertEqual({}, salt.utils.data.recursive_diff(set_one, set_two))
 
     def test_tuple_equality(self):
-        '''
+        """
         Test cases where equal tuples are compared.
-        '''
-        test_tuple = (0, 1, 2, 3, 'foo')
+        """
+        test_tuple = (0, 1, 2, 3, "foo")
         self.assertEqual({}, salt.utils.data.recursive_diff(test_tuple, test_tuple))
 
     def test_list_inequality(self):
-        '''
+        """
         Test cases where two inequal lists are compared.
-        '''
+        """
         list_one = [0, 1, 2]
-        list_two = ['foo', 'bar', 'baz']
-        expected_result = {'old': list_one, 'new': list_two}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_one, list_two))
-        expected_result = {'new': list_one, 'old': list_two}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_two, list_one))
-
-        list_one = [0, 'foo', 1, 'bar']
-        list_two = [1, 'foo', 1, 'qux']
-        expected_result = {'old': [0, 'bar'], 'new': [1, 'qux']}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_one, list_two))
-        expected_result = {'new': [0, 'bar'], 'old': [1, 'qux']}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_two, list_one))
+        list_two = ["foo", "bar", "baz"]
+        expected_result = {"old": list_one, "new": list_two}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_one, list_two)
+        )
+        expected_result = {"new": list_one, "old": list_two}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_two, list_one)
+        )
+
+        list_one = [0, "foo", 1, "bar"]
+        list_two = [1, "foo", 1, "qux"]
+        expected_result = {"old": [0, "bar"], "new": [1, "qux"]}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_one, list_two)
+        )
+        expected_result = {"new": [0, "bar"], "old": [1, "qux"]}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_two, list_one)
+        )
 
         list_one = [0, 1, [2, 3]]
-        list_two = [0, 1, ['foo', 'bar']]
-        expected_result = {'old': [[2, 3]], 'new': [['foo', 'bar']]}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_one, list_two))
-        expected_result = {'new': [[2, 3]], 'old': [['foo', 'bar']]}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_two, list_one))
+        list_two = [0, 1, ["foo", "bar"]]
+        expected_result = {"old": [[2, 3]], "new": [["foo", "bar"]]}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_one, list_two)
+        )
+        expected_result = {"new": [[2, 3]], "old": [["foo", "bar"]]}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_two, list_one)
+        )
 
     def test_dict_inequality(self):
-        '''
+        """
         Test cases where two inequal dicts are compared.
-        '''
-        dict_one = {'foo': 1, 'bar': 2, 'baz': 3}
-        dict_two = {'foo': 2, 1: 'bar', 'baz': 3}
-        expected_result = {'old': {'foo': 1, 'bar': 2}, 'new': {'foo': 2, 1: 'bar'}}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_one, dict_two))
-        expected_result = {'new': {'foo': 1, 'bar': 2}, 'old': {'foo': 2, 1: 'bar'}}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_two, dict_one))
-
-        dict_one = {'foo': {'bar': {'baz': 1}}}
-        dict_two = {'foo': {'qux': {'baz': 1}}}
-        expected_result = {'old': dict_one, 'new': dict_two}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_one, dict_two))
-        expected_result = {'new': dict_one, 'old': dict_two}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_two, dict_one))
+        """
+        dict_one = {"foo": 1, "bar": 2, "baz": 3}
+        dict_two = {"foo": 2, 1: "bar", "baz": 3}
+        expected_result = {"old": {"foo": 1, "bar": 2}, "new": {"foo": 2, 1: "bar"}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_one, dict_two)
+        )
+        expected_result = {"new": {"foo": 1, "bar": 2}, "old": {"foo": 2, 1: "bar"}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_two, dict_one)
+        )
+
+        dict_one = {"foo": {"bar": {"baz": 1}}}
+        dict_two = {"foo": {"qux": {"baz": 1}}}
+        expected_result = {"old": dict_one, "new": dict_two}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_one, dict_two)
+        )
+        expected_result = {"new": dict_one, "old": dict_two}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_two, dict_one)
+        )
 
     def test_ordereddict_inequality(self):
-        '''
+        """
         Test cases where two inequal OrderedDicts are compared.
-        '''
-        odict_one = OrderedDict([('foo', 'bar'), ('bar', 'baz')])
-        odict_two = OrderedDict([('bar', 'baz'), ('foo', 'bar')])
-        expected_result = {'old': odict_one, 'new': odict_two}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(odict_one, odict_two))
+        """
+        odict_one = OrderedDict([("foo", "bar"), ("bar", "baz")])
+        odict_two = OrderedDict([("bar", "baz"), ("foo", "bar")])
+        expected_result = {"old": odict_one, "new": odict_two}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(odict_one, odict_two)
+        )
 
     def test_set_inequality(self):
-        '''
+        """
         Test cases where two inequal sets are compared.
         Tricky as the sets are compared zipped, so shuffled sets of equal values
         are considered different.
-        '''
-        set_one = set([0, 1, 2, 4])
-        set_two = set([0, 1, 3, 4])
-        expected_result = {'old': set([2]), 'new': set([3])}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(set_one, set_two))
-        expected_result = {'new': set([2]), 'old': set([3])}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(set_two, set_one))
+        """
+        set_one = {0, 1, 2, 4}
+        set_two = {0, 1, 3, 4}
+        expected_result = {"old": {2}, "new": {3}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(set_one, set_two)
+        )
+        expected_result = {"new": {2}, "old": {3}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(set_two, set_one)
+        )
 
         # It is unknown how different python versions will store sets in memory.
         # Python 2.7 seems to sort it (i.e. set_one below becomes {0, 1, 'foo', 'bar'}
         # However Python 3.6.8 stores it differently each run.
         # So just test for "not equal" here.
-        set_one = set([0, 'foo', 1, 'bar'])
-        set_two = set(['foo', 1, 'bar', 2])
+        set_one = {0, "foo", 1, "bar"}
+        set_two = {"foo", 1, "bar", 2}
         expected_result = {}
-        self.assertNotEqual(expected_result, salt.utils.data.recursive_diff(set_one, set_two))
+        self.assertNotEqual(
+            expected_result, salt.utils.data.recursive_diff(set_one, set_two)
+        )
 
     def test_mixed_inequality(self):
-        '''
+        """
         Test cases where two mixed dicts/iterables that are different are compared.
-        '''
-        dict_one = {'foo': [1, 2, 3]}
-        dict_two = {'foo': [3, 2, 1]}
-        expected_result = {'old': {'foo': [1, 3]}, 'new': {'foo': [3, 1]}}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_one, dict_two))
-        expected_result = {'new': {'foo': [1, 3]}, 'old': {'foo': [3, 1]}}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(dict_two, dict_one))
-
-        list_one = [1, 2, {'foo': ['bar', {'foo': 1, 'bar': 2}]}]
-        list_two = [3, 4, {'foo': ['qux', {'foo': 1, 'bar': 2}]}]
-        expected_result = {'old': [1, 2, {'foo': ['bar']}], 'new': [3, 4, {'foo': ['qux']}]}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_one, list_two))
-        expected_result = {'new': [1, 2, {'foo': ['bar']}], 'old': [3, 4, {'foo': ['qux']}]}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(list_two, list_one))
-
-        mixed_one = {'foo': set([0, 1, 2]), 'bar': [0, 1, 2]}
-        mixed_two = {'foo': set([1, 2, 3]), 'bar': [1, 2, 3]}
+        """
+        dict_one = {"foo": [1, 2, 3]}
+        dict_two = {"foo": [3, 2, 1]}
+        expected_result = {"old": {"foo": [1, 3]}, "new": {"foo": [3, 1]}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_one, dict_two)
+        )
+        expected_result = {"new": {"foo": [1, 3]}, "old": {"foo": [3, 1]}}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(dict_two, dict_one)
+        )
+
+        list_one = [1, 2, {"foo": ["bar", {"foo": 1, "bar": 2}]}]
+        list_two = [3, 4, {"foo": ["qux", {"foo": 1, "bar": 2}]}]
         expected_result = {
-            'old': {'foo': set([0]), 'bar': [0, 1, 2]},
-            'new': {'foo': set([3]), 'bar': [1, 2, 3]}
+            "old": [1, 2, {"foo": ["bar"]}],
+            "new": [3, 4, {"foo": ["qux"]}],
         }
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(mixed_one, mixed_two))
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_one, list_two)
+        )
+        expected_result = {
+            "new": [1, 2, {"foo": ["bar"]}],
+            "old": [3, 4, {"foo": ["qux"]}],
+        }
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(list_two, list_one)
+        )
+
+        mixed_one = {"foo": {0, 1, 2}, "bar": [0, 1, 2]}
+        mixed_two = {"foo": {1, 2, 3}, "bar": [1, 2, 3]}
         expected_result = {
-            'new': {'foo': set([0]), 'bar': [0, 1, 2]},
-            'old': {'foo': set([3]), 'bar': [1, 2, 3]}
+            "old": {"foo": {0}, "bar": [0, 1, 2]},
+            "new": {"foo": {3}, "bar": [1, 2, 3]},
         }
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(mixed_two, mixed_one))
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(mixed_one, mixed_two)
+        )
+        expected_result = {
+            "new": {"foo": {0}, "bar": [0, 1, 2]},
+            "old": {"foo": {3}, "bar": [1, 2, 3]},
+        }
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(mixed_two, mixed_one)
+        )
 
     def test_tuple_inequality(self):
-        '''
+        """
         Test cases where two tuples that are different are compared.
-        '''
+        """
         tuple_one = (1, 2, 3)
         tuple_two = (3, 2, 1)
-        expected_result = {'old': (1, 3), 'new': (3, 1)}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(tuple_one, tuple_two))
+        expected_result = {"old": (1, 3), "new": (3, 1)}
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(tuple_one, tuple_two)
+        )
 
     def test_list_vs_set(self):
-        '''
+        """
         Test case comparing a list with a set, will be compared unordered.
-        '''
+        """
         mixed_one = [1, 2, 3]
-        mixed_two = set([3, 2, 1])
+        mixed_two = {3, 2, 1}
         expected_result = {}
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(mixed_one, mixed_two))
-        self.assertEqual(expected_result, salt.utils.data.recursive_diff(mixed_two, mixed_one))
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(mixed_one, mixed_two)
+        )
+        self.assertEqual(
+            expected_result, salt.utils.data.recursive_diff(mixed_two, mixed_one)
+        )
 
     def test_dict_vs_ordereddict(self):
-        '''
+        """
         Test case comparing a dict with an ordereddict, will be compared unordered.
-        '''
-        test_dict = {'foo': 'bar', 'bar': 'baz'}
-        test_odict = OrderedDict([('foo', 'bar'), ('bar', 'baz')])
+        """
+        test_dict = {"foo": "bar", "bar": "baz"}
+        test_odict = OrderedDict([("foo", "bar"), ("bar", "baz")])
         self.assertEqual({}, salt.utils.data.recursive_diff(test_dict, test_odict))
         self.assertEqual({}, salt.utils.data.recursive_diff(test_odict, test_dict))
 
-        test_odict2 = OrderedDict([('bar', 'baz'), ('foo', 'bar')])
+        test_odict2 = OrderedDict([("bar", "baz"), ("foo", "bar")])
         self.assertEqual({}, salt.utils.data.recursive_diff(test_dict, test_odict2))
         self.assertEqual({}, salt.utils.data.recursive_diff(test_odict2, test_dict))
 
     def test_list_ignore_ignored(self):
-        '''
+        """
         Test case comparing two lists with ignore-list supplied (which is not used
         when comparing lists).
-        '''
+        """
         list_one = [1, 2, 3]
         list_two = [3, 2, 1]
-        expected_result = {'old': [1, 3], 'new': [3, 1]}
+        expected_result = {"old": [1, 3], "new": [3, 1]}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(list_one, list_two, ignore_keys=[1, 3])
+            salt.utils.data.recursive_diff(list_one, list_two, ignore_keys=[1, 3]),
         )
 
     def test_dict_ignore(self):
-        '''
+        """
         Test case comparing two dicts with ignore-list supplied.
-        '''
-        dict_one = {'foo': 1, 'bar': 2, 'baz': 3}
-        dict_two = {'foo': 3, 'bar': 2, 'baz': 1}
-        expected_result = {'old': {'baz': 3}, 'new': {'baz': 1}}
+        """
+        dict_one = {"foo": 1, "bar": 2, "baz": 3}
+        dict_two = {"foo": 3, "bar": 2, "baz": 1}
+        expected_result = {"old": {"baz": 3}, "new": {"baz": 1}}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_keys=['foo'])
+            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_keys=["foo"]),
         )
 
     def test_ordereddict_ignore(self):
-        '''
+        """
         Test case comparing two OrderedDicts with ignore-list supplied.
-        '''
-        odict_one = OrderedDict([('foo', 1), ('bar', 2), ('baz', 3)])
-        odict_two = OrderedDict([('baz', 1), ('bar', 2), ('foo', 3)])
+        """
+        odict_one = OrderedDict([("foo", 1), ("bar", 2), ("baz", 3)])
+        odict_two = OrderedDict([("baz", 1), ("bar", 2), ("foo", 3)])
         # The key 'foo' will be ignored, which means the key from the other OrderedDict
         # will always be considered "different" since OrderedDicts are compared ordered.
-        expected_result = {'old': OrderedDict([('baz', 3)]), 'new': OrderedDict([('baz', 1)])}
+        expected_result = {
+            "old": OrderedDict([("baz", 3)]),
+            "new": OrderedDict([("baz", 1)]),
+        }
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(odict_one, odict_two, ignore_keys=['foo'])
+            salt.utils.data.recursive_diff(odict_one, odict_two, ignore_keys=["foo"]),
         )
 
     def test_dict_vs_ordereddict_ignore(self):
-        '''
+        """
         Test case comparing a dict with an OrderedDict with ignore-list supplied.
-        '''
-        dict_one = {'foo': 1, 'bar': 2, 'baz': 3}
-        odict_two = OrderedDict([('foo', 3), ('bar', 2), ('baz', 1)])
-        expected_result = {'old': {'baz': 3}, 'new': OrderedDict([('baz', 1)])}
+        """
+        dict_one = {"foo": 1, "bar": 2, "baz": 3}
+        odict_two = OrderedDict([("foo", 3), ("bar", 2), ("baz", 1)])
+        expected_result = {"old": {"baz": 3}, "new": OrderedDict([("baz", 1)])}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, odict_two, ignore_keys=['foo'])
+            salt.utils.data.recursive_diff(dict_one, odict_two, ignore_keys=["foo"]),
         )
 
     def test_mixed_nested_ignore(self):
-        '''
+        """
         Test case comparing mixed, nested items with ignore-list supplied.
-        '''
-        dict_one = {'foo': [1], 'bar': {'foo': 1, 'bar': 2}, 'baz': 3}
-        dict_two = {'foo': [2], 'bar': {'foo': 3, 'bar': 2}, 'baz': 1}
-        expected_result = {'old': {'baz': 3}, 'new': {'baz': 1}}
+        """
+        dict_one = {"foo": [1], "bar": {"foo": 1, "bar": 2}, "baz": 3}
+        dict_two = {"foo": [2], "bar": {"foo": 3, "bar": 2}, "baz": 1}
+        expected_result = {"old": {"baz": 3}, "new": {"baz": 1}}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_keys=['foo'])
+            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_keys=["foo"]),
         )
 
     def test_ordered_dict_unequal_length(self):
-        '''
+        """
         Test case comparing two OrderedDicts of unequal length.
-        '''
-        odict_one = OrderedDict([('foo', 1), ('bar', 2), ('baz', 3)])
-        odict_two = OrderedDict([('foo', 1), ('bar', 2)])
-        expected_result = {'old': OrderedDict([('baz', 3)]), 'new': {}}
+        """
+        odict_one = OrderedDict([("foo", 1), ("bar", 2), ("baz", 3)])
+        odict_two = OrderedDict([("foo", 1), ("bar", 2)])
+        expected_result = {"old": OrderedDict([("baz", 3)]), "new": {}}
         self.assertEqual(
-            expected_result,
-            salt.utils.data.recursive_diff(odict_one, odict_two)
+            expected_result, salt.utils.data.recursive_diff(odict_one, odict_two)
         )
 
     def test_list_unequal_length(self):
-        '''
+        """
         Test case comparing two lists of unequal length.
-        '''
+        """
         list_one = [1, 2, 3]
         list_two = [1, 2, 3, 4]
-        expected_result = {'old': [], 'new': [4]}
+        expected_result = {"old": [], "new": [4]}
         self.assertEqual(
-            expected_result,
-            salt.utils.data.recursive_diff(list_one, list_two)
+            expected_result, salt.utils.data.recursive_diff(list_one, list_two)
         )
 
     def test_set_unequal_length(self):
-        '''
+        """
         Test case comparing two sets of unequal length.
         This does not do anything special, as it is unordered.
-        '''
-        set_one = set([1, 2, 3])
-        set_two = set([4, 3, 2, 1])
-        expected_result = {'old': set([]), 'new': set([4])}
+        """
+        set_one = {1, 2, 3}
+        set_two = {4, 3, 2, 1}
+        expected_result = {"old": set(), "new": {4}}
         self.assertEqual(
-            expected_result,
-            salt.utils.data.recursive_diff(set_one, set_two)
+            expected_result, salt.utils.data.recursive_diff(set_one, set_two)
         )
 
     def test_tuple_unequal_length(self):
-        '''
+        """
         Test case comparing two tuples of unequal length.
         This should be the same as comparing two ordered lists.
-        '''
+        """
         tuple_one = (1, 2, 3)
         tuple_two = (1, 2, 3, 4)
-        expected_result = {'old': (), 'new': (4,)}
+        expected_result = {"old": (), "new": (4,)}
         self.assertEqual(
-            expected_result,
-            salt.utils.data.recursive_diff(tuple_one, tuple_two)
+            expected_result, salt.utils.data.recursive_diff(tuple_one, tuple_two)
         )
 
     def test_list_unordered(self):
-        '''
+        """
         Test case comparing two lists unordered.
-        '''
+        """
         list_one = [1, 2, 3, 4]
         list_two = [4, 3, 2]
-        expected_result = {'old': [1], 'new': []}
+        expected_result = {"old": [1], "new": []}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(list_one, list_two, ignore_order=True)
+            salt.utils.data.recursive_diff(list_one, list_two, ignore_order=True),
         )
 
     def test_mixed_nested_unordered(self):
-        '''
+        """
         Test case comparing nested dicts/lists unordered.
-        '''
-        dict_one = {'foo': {'bar': [1, 2, 3]}, 'bar': [{'foo': 4}, 0]}
-        dict_two = {'foo': {'bar': [3, 2, 1]}, 'bar': [0, {'foo': 4}]}
+        """
+        dict_one = {"foo": {"bar": [1, 2, 3]}, "bar": [{"foo": 4}, 0]}
+        dict_two = {"foo": {"bar": [3, 2, 1]}, "bar": [0, {"foo": 4}]}
         expected_result = {}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_order=True)
+            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_order=True),
         )
         expected_result = {
-            'old': {'foo': {'bar': [1, 3]}, 'bar': [{'foo': 4}, 0]},
-            'new': {'foo': {'bar': [3, 1]}, 'bar': [0, {'foo': 4}]},
+            "old": {"foo": {"bar": [1, 3]}, "bar": [{"foo": 4}, 0]},
+            "new": {"foo": {"bar": [3, 1]}, "bar": [0, {"foo": 4}]},
         }
         self.assertEqual(
-            expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two)
+            expected_result, salt.utils.data.recursive_diff(dict_one, dict_two)
         )
 
     def test_ordered_dict_unordered(self):
-        '''
+        """
         Test case comparing OrderedDicts unordered.
-        '''
-        odict_one = OrderedDict([('foo', 1), ('bar', 2), ('baz', 3)])
-        odict_two = OrderedDict([('baz', 3), ('bar', 2), ('foo', 1)])
+        """
+        odict_one = OrderedDict([("foo", 1), ("bar", 2), ("baz", 3)])
+        odict_two = OrderedDict([("baz", 3), ("bar", 2), ("foo", 1)])
         expected_result = {}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(odict_one, odict_two, ignore_order=True)
+            salt.utils.data.recursive_diff(odict_one, odict_two, ignore_order=True),
         )
 
     def test_ignore_missing_keys_dict(self):
-        '''
+        """
         Test case ignoring missing keys on a comparison of dicts.
-        '''
-        dict_one = {'foo': 1, 'bar': 2, 'baz': 3}
-        dict_two = {'bar': 3}
-        expected_result = {'old': {'bar': 2}, 'new': {'bar': 3}}
+        """
+        dict_one = {"foo": 1, "bar": 2, "baz": 3}
+        dict_two = {"bar": 3}
+        expected_result = {"old": {"bar": 2}, "new": {"bar": 3}}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_missing_keys=True)
+            salt.utils.data.recursive_diff(
+                dict_one, dict_two, ignore_missing_keys=True
+            ),
         )
 
     def test_ignore_missing_keys_ordered_dict(self):
-        '''
+        """
         Test case not ignoring missing keys on a comparison of OrderedDicts.
-        '''
-        odict_one = OrderedDict([('foo', 1), ('bar', 2), ('baz', 3)])
-        odict_two = OrderedDict([('bar', 3)])
-        expected_result = {'old': odict_one, 'new': odict_two}
+        """
+        odict_one = OrderedDict([("foo", 1), ("bar", 2), ("baz", 3)])
+        odict_two = OrderedDict([("bar", 3)])
+        expected_result = {"old": odict_one, "new": odict_two}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(odict_one, odict_two, ignore_missing_keys=True)
+            salt.utils.data.recursive_diff(
+                odict_one, odict_two, ignore_missing_keys=True
+            ),
         )
 
     def test_ignore_missing_keys_recursive(self):
-        '''
+        """
         Test case ignoring missing keys on a comparison of nested dicts.
-        '''
-        dict_one = {'foo': {'bar': 2, 'baz': 3}}
-        dict_two = {'foo': {'baz': 3}}
+        """
+        dict_one = {"foo": {"bar": 2, "baz": 3}}
+        dict_two = {"foo": {"baz": 3}}
         expected_result = {}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_missing_keys=True)
+            salt.utils.data.recursive_diff(
+                dict_one, dict_two, ignore_missing_keys=True
+            ),
         )
         # Compare from dict-in-dict
         dict_two = {}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_missing_keys=True)
+            salt.utils.data.recursive_diff(
+                dict_one, dict_two, ignore_missing_keys=True
+            ),
         )
         # Compare from dict-in-list
-        dict_one = {'foo': ['bar', {'baz': 3}]}
-        dict_two = {'foo': ['bar', {}]}
+        dict_one = {"foo": ["bar", {"baz": 3}]}
+        dict_two = {"foo": ["bar", {}]}
         self.assertEqual(
             expected_result,
-            salt.utils.data.recursive_diff(dict_one, dict_two, ignore_missing_keys=True)
+            salt.utils.data.recursive_diff(
+                dict_one, dict_two, ignore_missing_keys=True
+            ),
         )
